Subject: [PATCH 1/2] ARM: dts: keystone: fix the clock node for mdio

From: [email-masked] (santosh.shilimkar at oracle.com)
Date: Mon, 03 Aug 2015 11:30:04 -0700

On 8/3/15 11:22 AM, Murali Karicheri wrote:
> On 08/03/2015 02:11 PM, Murali Karicheri wrote:
>> Currently the MDIO clock is pointing to clkpa instead of clkcpgmac.
>> MDIO is part of the ethss and the clock should be clkcpgmac.
>>
>> Signed-off-by: Murali Karicheri <[email-masked]>
>> ---
>>   arch/arm/boot/dts/keystone.dtsi | 2 +-
>>   1 file changed, 1 insertion(+), 1 deletion(-)
>>
>> diff --git a/arch/arm/boot/dts/keystone.dtsi
>> b/arch/arm/boot/dts/keystone.dtsi
>> index e7a6f6d..6245a17 100644
>> --- a/arch/arm/boot/dts/keystone.dtsi
>> +++ b/arch/arm/boot/dts/keystone.dtsi
>> @@ -273,7 +273,7 @@
>>               #size-cells = <0>;
>>               reg        = <0x02090300 0x100>;
>>               status = "disabled";
>> -            clocks = <&clkpa>;
>> +            clocks = <&clkcpgmac>;
>>               clock-names = "fck";
>>               bus_freq    = <2500000>;
>>           };
>>
> Santosh,
>
> This is a big fix and needs to go in v4.2-rc. So please review and apply
> asap. v4.2 is the first release that has netcp driver fully functional
> and I want to fix as many known bugs as possible.
>
Do you have more fixes ? If yes, please post them so that I can include
them along with these two. I will try to send them up next week.

Thanks !!

Regards,
Santosh